Dennis Gilmore | 1 Jan 03:45 2012
Picon

Re: Results of a test mass rebuild of rawhide/x86_64 with?gcc-4.7.0-0.1.fc17

El Sat, 31 Dec 2011 16:35:00 +0100
Jakub Jelinek <jakub <at> redhat.com> escribió:
> On Sat, Dec 31, 2011 at 08:55:53AM -0600, Dennis Gilmore wrote:
> > if we plan to do a mass rebuild for gcc 4.7 we need to start it
> > next week.
> 
> IMHO a mass rebuild is highly desirable, but (with the exception of
> a few gcj/objc dependent packages not strictly required).  We still
> have lots of *.fc15, and we even have some *.fc11 packages.
> That said, why would it need to start next week?  Looking at the F15
> schedule where a mass rebuild has been performed too on Feb, 7th or
> so, the schedule milestones are the same.
> 
> I can put gcc-4.7.0-0.2.fc17 say mid next week into the buildroots,
> but would strongly prefer to have it there for at least two weeks
> of voluntary rebuilds, so that there is enough time to report bugs
> and get them fixed, before a real mass rebuild starts.
> So, if at all possible, I'd prefer the mass rebuild to start around
> January 19th or 20th.  That's still before Feature Submission
> Deadline and more than three weeks before Alpha deadline.
> 
> 	Jakub

[ausil <at> download01 ~]$ ls
/srv/pub/fedora/linux/development/rawhide/source/SRPMS/*fc11.src.rpm|wc -l
3
[ausil <at> download01 ~]$ ls
/srv/pub/fedora/linux/development/rawhide/source/SRPMS/*fc12.src.rpm|wc -l
59
[ausil <at> download01 ~]$ ls
(Continue reading)

Rich Mattes | 1 Jan 06:44 2012
Picon

Re: broken dependencies for fawkes-plugin-player

On 12/27/2011 10:55 AM, Rex Dieter wrote:
> https://admin.fedoraproject.org/updates/FEDORA-2011-14436/geos-3.3.1-1.fc16
>
> And an arguable abuse of the process, a submitter setting karma: 1 and then
> giving their own update the requisite karma++ to get it pushed to stable
> almost immediately. :(
>
> -- rex
>

Fawkes has been rebuilt and submitted[1].  Sorry for the delay.

Rich

[1] https://admin.fedoraproject.org/updates/fawkes-0.4.2-7.fc16
--

-- 
devel mailing list
devel <at> lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
Rawhide Report | 1 Jan 12:40 2012

rawhide report: 20120101 changes

Compose started at Sun Jan  1 08:15:19 UTC 2012

Broken deps for x86_64
----------------------------------------------------------
	OpenGTL-0.9.15.1-3.fc17.x86_64 requires libLLVM-2.9.so()(64bit)
	OpenGTL-devel-0.9.15.1-3.fc17.i686 requires libLLVM-2.9.so
	OpenGTL-devel-0.9.15.1-3.fc17.x86_64 requires libLLVM-2.9.so()(64bit)
	OpenGTL-libs-0.9.15.1-3.fc17.i686 requires libLLVM-2.9.so
	OpenGTL-libs-0.9.15.1-3.fc17.x86_64 requires libLLVM-2.9.so()(64bit)
	1:anjuta-3.3.1-1.fc17.i686 requires libvala-0.14.so.0
	1:anjuta-3.3.1-1.fc17.x86_64 requires libvala-0.14.so.0()(64bit)
	banshee-2.2.1-2.fc17.x86_64 requires mono(gudev-sharp) = 0:1.0.0.0
	bluetile-0.6-1.fc17.x86_64 requires libHSsyb-0.3-ghc7.0.4.so()(64bit)
	bluetile-0.6-1.fc17.x86_64 requires libHSregex-posix-0.94.4-ghc7.0.4.so()(64bit)
	bluetile-0.6-1.fc17.x86_64 requires libHSregex-compat-0.93.1-ghc7.0.4.so()(64bit)
	bluetile-0.6-1.fc17.x86_64 requires libHSnetwork-2.3.0.2-ghc7.0.4.so()(64bit)
	bluetile-0.6-1.fc17.x86_64 requires libHSglib-0.12.1-ghc7.0.4.so()(64bit)
	bluetile-0.6-1.fc17.x86_64 requires libHSHUnit-1.2.2.3-ghc7.0.4.so()(64bit)
	bluetile-0.6-1.fc17.x86_64 requires ghc(syb-0.3) = 0:00d8c06f799942b01364e795b2a54d70
	bluetile-0.6-1.fc17.x86_64 requires ghc(regex-posix-0.94.4) = 0:45df747b4e9c6afc3877d27446ec99b7
	bluetile-0.6-1.fc17.x86_64 requires ghc(regex-compat-0.93.1) = 0:926eeefcd331a606de1b6b29a0ad5d3f
	bluetile-0.6-1.fc17.x86_64 requires ghc(network-2.3.0.2) = 0:824dddd7e2ce0e065568730d1c080c4a
	bluetile-0.6-1.fc17.x86_64 requires ghc(glib-0.12.1) = 0:7c8b25f0eb06ab969a0fafd5ac1b2c92
	bluetile-0.6-1.fc17.x86_64 requires ghc(HUnit-1.2.2.3) = 0:8fe95e501b1318ef285c39ed79ca4209
	boinc-manager-6.12.35-1.r24014svn.fc17.x86_64 requires libxcb-atom.so.1()(64bit)
	bugzilla-4.0.2-1.fc17.noarch requires perl(JSON::RPC::Server::CGI)
	cab-0.1.6-3.fc17.x86_64 requires libHStext-0.11.0.6-ghc7.0.4.so()(64bit)
	cab-0.1.6-3.fc17.x86_64 requires ghc(text-0.11.0.6) = 0:139d7472dd2398472c7d962de013c741
	comoonics-cdsl-py-0.2-18.noarch requires comoonics-base-py
	comoonics-cluster-py-0.1-24.noarch requires comoonics-base-py
(Continue reading)

Neil Horman | 1 Jan 15:50 2012
Picon

Re: F16/F17: stacktraces in vmware-guests

On Sat, Dec 31, 2011 at 03:48:04PM +0100, Reindl Harald wrote:
> 
> 
> Am 31.12.2011 14:48, schrieb Neil Horman:
> > Yup, I see the problem.  The msi irq sysfs objects that are allocated in
> > populate_msi_sysfs are getting kobject_put in free_msi_irqs, even in the case an
> > error path is encountered and the allocation/creation fails.  Please open a bz
> > with the above information and assign it to me (nhorman <at> redhat.com), I'll get it
> > fixed up.
> 
> i am realy happy about your reply, thank you!
> 
> bugreport created
> https://bugzilla.redhat.com/show_bug.cgi?id=771058
> 
> no idea what this all really means, currently running F15 and
> i can not notice any real problem on the F16/F17 guests but
> however - nice to get stacktraces away before consider F16
> for production
> 
> happy new year and thanks for all the work!
> 
> 
> 
Np, happy new year to you too.  I'm occupied for the next two days, but I've
assigned the bz to myself, and will get it square next week.
Neil

> -- 
> devel mailing list
(Continue reading)

Ofer Schreiber | 1 Jan 15:51 2012
Picon

Self Introduction

Hi,

As I'm not used to this kind of self-intro posts, I'll try to make this
one quick :)

I'm Ofer Schreiber, and I've been working with several Linux distributions
for the past few years or so.
Currently, I'm working for Red Hat (leading RHEVM Integration team) and
serves as the Release Manager for the oVirt project (www.ovirt.org/about).

Although I have a few years of experience with writing rpm packages,
https://bugzilla.redhat.com/show_bug.cgi?id=771111 (ovirt-engine-sdk) is
my first contribution to Fedora, and if you wouldn't throw me out of the
window after reviewing it, I will try to contribute more oVirt packages
until you will :)

So, I'm glad to be here, and have a wonderful new year,

--
Ofer Schreiber 

--

-- 
devel mailing list
devel <at> lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
Nicholas Miell | 1 Jan 21:58 2012
Picon

Re: Firefox 9 breaks addons.mozilla.org?

On 12/26/2011 02:08 AM, Heiko Adams wrote:
> Hi,
> can anyone confirm that addon pages like
> https://addons.mozilla.org/de/firefox/addon/ghostery/?src=hp-dl-featured
> are broken in Firefox 9.0?
> 
> If I open such a page Firefox errorlog has the following entries and
> it's not possible to install an addon:
> 1) Fehler: uncaught exception: [Exception... "Component returned failure
> code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)
> [nsIJSCID.getService]"  nsresult: "0x80570016
> (NS_ERROR_XPC_GS_RETURNED_FAILURE)"  location: "JS frame ::
> resource:///components/OpenWebapps.js :: OpenWebapps :: line 50"  data: no]
> 
> 2) Fehler: z.button is undefined
> Quelldatei:
> https://static-ssl-cdn.addons.mozilla.net/de/firefox/addons/buttons.js?b=01ad944
> Zeile: 13
> 
> 3) Fehler: $(".install").installButton is not a function
> Quelldatei:
> https://static-ssl-cdn.addons.mozilla.net/media/js/impala-min.js?build=01ad944
> Zeile: 1
> 
> The problem still exists if I disable all addons so I think there's a
> problem with firefox.
> 
> I've filed a bug at bugzilla:
> https://bugzilla.redhat.com/show_bug.cgi?id=770301

(Continue reading)

Reindl Harald | 1 Jan 22:20 2012
Picon

Re: Firefox 9 breaks addons.mozilla.org?


Am 01.01.2012 21:58, schrieb Nicholas Miell:
>> The problem still exists if I disable all addons so I think there's a
>> problem with firefox.
>>
>> I've filed a bug at bugzilla:
>> https://bugzilla.redhat.com/show_bug.cgi?id=770301
> 
> The upstream bug report suggests this is a bug in xulrunner's packaging
> (which is why stock Firefox isn't affected, they don't use a separate
> xulrunner).
> 
> You can fix it with the following (as root):
> 
> cd /usr/lib64/xulrunner-2
> cp omni.jar omni.jar.backup
> zip -d omni.jar components/OpenWebapps.js
> components/OpenWebapps.manifest
> jsloader/resource/gre/components/OpenWebapps.js

hopefully this will be fixed soon and we get
language packages back in FF

https://bugzilla.redhat.com/show_bug.cgi?id=769497

FF9/TB9 are really the badest builds in the history

--

-- 
(Continue reading)

Neal Becker | 2 Jan 00:57 2012
Picon

fedpkg push with non-default id_rsa.pub

How do I use fedpkg push with a non-default key?  fedpkg push --help gives no 
clue.  I need to use id_rsa.fedora.pub.

--

-- 
devel mailing list
devel <at> lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
Jan Kratochvil | 2 Jan 01:04 2012
Picon

Re: fedpkg push with non-default id_rsa.pub

On Mon, 02 Jan 2012 00:57:07 +0100, Neal Becker wrote:
> How do I use fedpkg push with a non-default key?  fedpkg push --help gives no 
> clue.  I need to use id_rsa.fedora.pub.

Using in ~/.ssh/config:
IdentityFile ~/.ssh/id_dsa
IdentityFile ~/.ssh/id_rsa
IdentityFile ~/.ssh/identity
IdentityFile ~/.ssh/koji-id_rsa

(koji-id_rsa is the one you want)

IIRC the first line resets the default identities, so one needs to repeat the
default ones.

Regards,
Jan
--

-- 
devel mailing list
devel <at> lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
Neal Becker | 2 Jan 01:10 2012
Picon

Re: fedpkg push with non-default id_rsa.pub

Jan Kratochvil wrote:

> On Mon, 02 Jan 2012 00:57:07 +0100, Neal Becker wrote:
>> How do I use fedpkg push with a non-default key?  fedpkg push --help gives no
>> clue.  I need to use id_rsa.fedora.pub.
> 
> Using in ~/.ssh/config:
> IdentityFile ~/.ssh/id_dsa
> IdentityFile ~/.ssh/id_rsa
> IdentityFile ~/.ssh/identity
> IdentityFile ~/.ssh/koji-id_rsa
> 
> (koji-id_rsa is the one you want)
> 
> IIRC the first line resets the default identities, so one needs to repeat the
> default ones.
> 
> 
> Regards,
> Jan

Well looks like I had this working before - I see this in my config:

HOST *.fedoraproject.org fedorapeople.org *.fedorahosted.org IdentityFile 
~/.ssh/id_rsa.fedora

So wonder why I got 'permission denied'.

fedpkg ci -p -m 'update to 2.0.2'
Permission denied (publickey).
(Continue reading)


Gmane